﻿

@media screen and (max-width: 767px) {
    .past-order-container {
        width: var(--page-width);
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        align-items: flex-start;
        gap: 40px;
        margin-top: 110px;
        margin-bottom: 40px;
    }

    .past-order-container > .title {
        align-self: center;
        font-size: 24px;
        font-weight: 700;
    }

    /* ---------------------------------------------------------------------------------------------------- */

    .past-order-container > .content {
        width: 100%;
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        align-items: center;
        gap: 20px;
    }

    .past-order-container > .content > .item {
        width: 100%;
        height: 158px;
        background-color: #f5f5f5;
        border-top: 1px solid #999999;
        border-right: 1px solid #999999;
        border-bottom: 1px solid #999999;
        border-radius: 20px;
        display: flex;
        justify-content: flex-start;
        align-items: flex-start;
        position: relative;
    }

    .past-order-container > .content > .item > .side {
        width: 20px;
        height: 156px;
        background-color: #8cbdcd;
        border-top-left-radius: 20px;
        border-bottom-left-radius: 20px;
    }

    .past-order-container > .content > .item > ul {
        width: calc(100% - 40px);
        height: 100%;
        border-top-right-radius: 20px;
        border-bottom-right-radius: 20px;
        box-sizing: border-box;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        align-items: flex-start;
        gap: 10px;
        list-style: disc;
        margin-left: 10px;
        padding: 20px;
    }

    .past-order-container > .content > .item > ul > li {
        color: #7c7c7c;
        font-size: 16px;
        font-weight: 700;
    }

    .past-order-container > .content > .item > .info-link {
        height: 40px;
        position: absolute;
        bottom: 20px;
        right: 10px;
    }

    /* ---------------------------------------------------------------------------------------------------- */

    .past-order-container > .count-box {
        width: 100%;
        color: #7c7c7c;
        display: flex;
        justify-content: center;
        align-items: center;
        font-size: 20px;
        font-weight: 700;
    }

    .past-order-container > .count-box > p {
        letter-spacing: 2px;
    }

    .past-order-container > .count-box > p > span {
        margin: 0px 18px;
    }
}

@media screen and (min-width: 768px) and (max-width: 1024px) {
    .past-order-container {
        width: var(--page-width);
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        align-items: flex-start;
        gap: 40px;
        margin: 70px 0px;
    }

    .past-order-container > .title {
        align-self: center;
        font-size: 24px;
        font-weight: 700;
    }

    /* ---------------------------------------------------------------------------------------------------- */

    .past-order-container > .content {
        width: 100%;
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        align-items: center;
        gap: 20px;
    }

    .past-order-container > .content > .item {
        width: 100%;
        height: 158px;
        background-color: #f5f5f5;
        border-top: 1px solid #999999;
        border-right: 1px solid #999999;
        border-bottom: 1px solid #999999;
        border-radius: 20px;
        display: flex;
        justify-content: flex-start;
        align-items: flex-start;
        position: relative;
    }

    .past-order-container > .content > .item > .side {
        width: 20px;
        height: 156px;
        background-color: #8cbdcd;
        border-top-left-radius: 20px;
        border-bottom-left-radius: 20px;
    }

    .past-order-container > .content > .item > ul {
        width: calc(100% - 40px);
        height: 100%;
        border-top-right-radius: 20px;
        border-bottom-right-radius: 20px;
        box-sizing: border-box;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        align-items: flex-start;
        gap: 10px;
        list-style: disc;
        margin-left: 10px;
        padding: 20px;
    }

    .past-order-container > .content > .item > ul > li {
        color: #7c7c7c;
        font-size: 16px;
        font-weight: 700;
    }

    .past-order-container > .content > .item > .info-link {
        height: 40px;
        position: absolute;
        bottom: 20px;
        right: 10px;
    }

    /* ---------------------------------------------------------------------------------------------------- */

    .past-order-container > .count-box {
        width: 100%;
        color: #7c7c7c;
        display: flex;
        justify-content: center;
        align-items: center;
        font-size: 20px;
        font-weight: 700;
    }

    .past-order-container > .count-box > p {
        letter-spacing: 2px;
    }

    .past-order-container > .count-box > p > span {
        margin: 0px 18px;
    }
}

@media screen and (min-width: 1025px) {
    .past-order-container {
        max-width: var(--page-max-width);
        width: var(--page-width);
        background-color: #ffffff;
        border-radius: 4px;
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        align-items: center;
        gap: 60px;
        margin: 310px 0px 80px 0px;
    }

    .past-order-container > .title {
        align-self: center;
        font-size: 30px;
        font-weight: 700;
    }

    /* ---------------------------------------------------------------------------------------------------- */

    .past-order-container > .content {
        width: 1280px;
        display: flex;
        justify-content: flex-start;
        align-items: flex-start;
        align-content: flex-start;
        flex-wrap: wrap;
        gap: 40px;
    }

    .past-order-container > .content > .item {
        width: 400px;
        height: 158px;
        background-color: #f5f5f5;
        border-top: 1px solid #999999;
        border-right: 1px solid #999999;
        border-bottom: 1px solid #999999;
        border-radius: 20px;
        display: flex;
        justify-content: flex-start;
        align-items: flex-start;
        position: relative;
    }

    .past-order-container > .content > .item > .side {
        width: 20px;
        height: 156px;
        background-color: #8cbdcd;
        border-top-left-radius: 20px;
        border-bottom-left-radius: 20px;
    }

    .past-order-container > .content > .item > ul {
        width: calc(100% - 40px);
        height: 100%;
        border-top-right-radius: 20px;
        border-bottom-right-radius: 20px;
        box-sizing: border-box;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        align-items: flex-start;
        gap: 10px;
        list-style: disc;
        margin-left: 20px;
        padding: 20px;
    }

    .past-order-container > .content > .item > ul > li {
        color: #7c7c7c;
        font-size: 16px;
        font-weight: 700;
    }

    .past-order-container > .content > .item > .info-link {
        width: 110px;
        height: 44px;
        font-size: 18px;
        position: absolute;
        bottom: 20px;
        right: 20px;
    }

    /* ---------------------------------------------------------------------------------------------------- */

    .past-order-container > .count-box {
        width: 100%;
        color: #7c7c7c;
        display: flex;
        justify-content: center;
        align-items: center;
        font-size: 20px;
        font-weight: 700;
    }

    .past-order-container > .count-box > p {
        letter-spacing: 2px;
    }

    .past-order-container > .count-box > p > span {
        margin: 0px 18px;
    }
}